Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.model.types
Class DLNADoc

    java.lang.Object
      org.teleal.cling.model.types.DLNADoc

    public class DLNADoc

extends Object

Representing the DLNA document and its version.

Someone ignored the device and service type construct of UPnP and invented a new and of course much better device type/version * construct.

Author:
  Christian Bauer

Nested Class Summary
`static class` | `DLNADoc.Version`

Field Summary
`static Pattern` | `PATTERN`

Constructor Summary
`DLNADoc(String devClass, DLNADoc.Version version)`
`DLNADoc(String devClass, String version)`

Method Summary
`boolean` | `equals(Object o)`
`String` | `getDevClass()`
`String` | `getVersion()`
`int` | `hashCode()`
`String` | `toString()`
`static DLNADoc` | `valueOf(String s)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### PATTERN

    public static final Pattern PATTERN

Constructor Detail

### DLNADoc

    public DLNADoc(String devClass,
                   String version)

### DLNADoc

    public DLNADoc(String devClass,
                   DLNADoc.Version version)

Method Detail

### getDevClass

    public String getDevClass()

### getVersion

    public String getVersion()

### valueOf

    public static DLNADoc valueOf(String s)
                           throws InvalidValueException

  Throws:
    `InvalidValueException`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.